/*
     $Revision$
     $Id$
*/

// FO en BO functions
function onChangeDiscipline()
{
  //sgSrtgroep.setValue($("#stdm").val(), $("#stdm_show").val(), true, true, null, true);
  // Regel hierboven werkt niet goed omdat CheckExist een get call veroorzaakt om te kijken of waarde bestaat.
  // In de tussentijd verstoort CheckJustOne dit process met een $.getJSON()
  // Dus gewoon Groep leegmaken
  sgSrtgroep.setValue(-1, "", true, false, null, true);
  sgSrtgroep.CheckJustOne();
}

function callback_ins_info(data, textStatus, jqXHR)
{ // Zet de discipline indien niet ingevuld
  // setValue(key, txt, doonChange, checkExist, extraParam, lastTry)
  if ($("#disc").val() == -1)
    sgDisc.setValue(data.disc_key, data.disc_omschr, false /*doonChange*/, true /*checkExist*/);
  if ($("#srtgroep").val() == -1)
    sgSrtgroep.setValue(data.srtgroep_key, data.srtgroep_omschr, false /*doonChange*/, true /*checkExist*/);
  if ($("#srtdeel").val() == -1)
    sgSrtdeel.setValue(data.srtdeel_key, data.srtdeel_omschr, false /*doonChange*/, true /*checkExist*/);
}

function onChangeSrtgroep(srtgroep_key)
{ // Zet de discipline indien niet ingevuld.
  if (srtgroep_key > 0 && $("#disc").val() <= 0 && typeof sgDisc != "undefined")
  {
    $.getJSON("../Shared/get_ins_info.asp",
              { srtgroep_key: srtgroep_key },
                callback_ins_info);
  }
  sgSrtdeel.setValue(-1, "", true, false, null, true);
  sgSrtdeel.CheckJustOne();
}

function onChangeSrtdeel(srtdeel_key)
{ // Zet de soortgroep indien niet ingevuld.
  resetFilter(); // filter (geavanceerd zoeken) leeg maken
  if (srtdeel_key > 0 && $("#srtgroep").val() <= 0 && typeof sgSrtgroep != "undefined")
  {
    jQuery.ajaxSetup({async: false});
    $.getJSON("../Shared/get_ins_info.asp",
              { srtdeel_key: srtdeel_key },
                callback_ins_info);
    jQuery.ajaxSetup({async: true});
  }
}

function checkLentOut(id)
{
  if (!document.getElementById("insLentOut").checked && !document.getElementById("insAvail").checked) {
      if (id == 2)
        document.getElementById("insLentOut").checked = true;
      else
        document.getElementById("insAvail").checked = true;
  }
}

function UnSelectPos()
{
  sgLoc.setValue(-1, "");  // zou dat niet al voldoende moeten zijn?
  sgBld.setValue(-1, "");
  sgFlr.setValue(-1, "");
  sgRoom.setValue(-1, "");
}

function UnSelectOwner()
{
  // De variabelen sgDept en sgPerson zijn niet altijd aanwezig!
  // Dus eerst testen of ze wel bestaan voordat je de waarde zet.
  if (typeof sgDept !== "undefined")
    sgDept.setValue(-1, "");
  if (typeof sgPerson !== "undefined")
    sgPerson.setValue(-1, "");
}
